PhysicalPackage (CMDB Model API)
Keywords: com.collation.platform.model.topology.phys.physpkg.PhysicalPackage interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.phys.physpkg
Interface PhysicalPackage

All Superinterfaces:
  ManagedElement, ManagedSystemElement, ModelObject, PhysicalElement, java.io.Serializable

All Known Subinterfaces:
  Board, Card, Chassis, PhysicalFrame, Rack, SystemBusCard, SystemMediaLocation

    public interface PhysicalPackage

extends PhysicalElement

Describes general containers and frames. It is further refined by Chassis and Card subclasses.

Naming Rules:
  0="manufacturer,model,serialNumber" 2="managedSystemName" 1="systemBoardUUID"
Persistable:
  true
Table Name:
  PHYPKG

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`ComputerSystem` | `getComputersystem()`
`Fan[]` | `getFans()`
`java.lang.String` | `getFWRevision()`
`java.lang.String` | `getHWRevision()`
`java.lang.String` | `getManufacturer()`
`java.lang.String` | `getModel()`
`java.lang.String` | `getName()`
`OtherPhysicalPackage[]` | `getOtherPhysicalPackages()`
`ComputerSystem` | `getParent()` Deprecated.
`PhysicalComponent[]` | `getPhysicalComponents()`
`PhysicalConnector[]` | `getPhysicalConnectors()`
`PhysicalFrame[]` | `getPhysicalFrames()`
`PhysicalLink[]` | `getPhysicalLinks()`
`PowerSupply[]` | `getPowerSupplys()`
`int` | `getRelativePosition()`
`Sensor[]` | `getSensors()`
`java.lang.String` | `getSerialNumber()`
`java.lang.String` | `getSWRevision()`
`java.lang.String` | `getSystemBoardUUID()`
`int` | `getType()`
`java.lang.String` | `getUserTracking()`
`boolean` | `hasComputersystem()`
`boolean` | `hasFans()`
`boolean` | `hasFWRevision()`
`boolean` | `hasHWRevision()`
`boolean` | `hasManufacturer()`
`boolean` | `hasModel()`
`boolean` | `hasName()`
`boolean` | `hasOtherPhysicalPackages()`
`boolean` | `hasParent()`
`boolean` | `hasPhysicalComponents()`
`boolean` | `hasPhysicalConnectors()`
`boolean` | `hasPhysicalFrames()`
`boolean` | `hasPhysicalLinks()`
`boolean` | `hasPowerSupplys()`
`boolean` | `hasRelativePosition()`
`boolean` | `hasSensors()`
`boolean` | `hasSerialNumber()`
`boolean` | `hasSWRevision()`
`boolean` | `hasSystemBoardUUID()`
`boolean` | `hasType()`
`boolean` | `hasUserTracking()`
`void` | `setComputersystem(ComputerSystem x)`
`void` | `setFans(Fan[] x)`
`void` | `setFWRevision(java.lang.String x)`
`void` | `setHWRevision(java.lang.String x)`
`void` | `setManufacturer(java.lang.String x)`
`void` | `setModel(java.lang.String x)`
`void` | `setName(java.lang.String x)`
`void` | `setOtherPhysicalPackages(OtherPhysicalPackage[] x)`
`void` | `setParent(ComputerSystem x)`
`void` | `setPhysicalComponents(PhysicalComponent[] x)`
`void` | `setPhysicalConnectors(PhysicalConnector[] x)`
`void` | `setPhysicalFrames(PhysicalFrame[] x)`
`void` | `setPhysicalLinks(PhysicalLink[] x)`
`void` | `setPowerSupplys(PowerSupply[] x)`
`void` | `setRelativePosition(int x)`
`void` | `setSensors(Sensor[] x)`
`void` | `setSerialNumber(java.lang.String x)`
`void` | `setSWRevision(java.lang.String x)`
`void` | `setSystemBoardUUID(java.lang.String x)`
`void` | `setType(int x)`
`void` | `setUserTracking(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getManufacturer

    java.lang.String getManufacturer()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setManufacturer

    void setManufacturer(java.lang.String x)

### hasManufacturer

    boolean hasManufacturer()

### getRelativePosition

    int getRelativePosition()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRelativePosition

    void setRelativePosition(int x)

### hasRelativePosition

    boolean hasRelativePosition()

### getPhysicalComponents

    PhysicalComponent[] getPhysicalComponents()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setPhysicalComponents

    void setPhysicalComponents(PhysicalComponent[] x)

### hasPhysicalComponents

    boolean hasPhysicalComponents()

### getUserTracking

    java.lang.String getUserTracking()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUserTracking

    void setUserTracking(java.lang.String x)

### hasUserTracking

    boolean hasUserTracking()

### getFWRevision

    java.lang.String getFWRevision()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFWRevision

    void setFWRevision(java.lang.String x)

### hasFWRevision

    boolean hasFWRevision()

### getOtherPhysicalPackages

    OtherPhysicalPackage[] getOtherPhysicalPackages()
                                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setOtherPhysicalPackages

    void setOtherPhysicalPackages(OtherPhysicalPackage[] x)

### hasOtherPhysicalPackages

    boolean hasOtherPhysicalPackages()

### getType

    int getType()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(int x)

### hasType

    boolean hasType()

### getFans

    Fan[] getFans()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setFans

    void setFans(Fan[] x)

### hasFans

    boolean hasFans()

### getSensors

    Sensor[] getSensors()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSensors

    void setSensors(Sensor[] x)

### hasSensors

    boolean hasSensors()

### getSWRevision

    java.lang.String getSWRevision()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSWRevision

    void setSWRevision(java.lang.String x)

### hasSWRevision

    boolean hasSWRevision()

### getParent

    ComputerSystem getParent()
                             throws AttributeNotSetException

  Deprecated.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RunsOn" reverse="true"

### setParent

    void setParent(ComputerSystem x)

### hasParent

    boolean hasParent()

### getComputersystem

    ComputerSystem getComputersystem()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Realizes" reverse="false"

### setComputersystem

    void setComputersystem(ComputerSystem x)

### hasComputersystem

    boolean hasComputersystem()

### getSystemBoardUUID

    java.lang.String getSystemBoardUUID()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSystemBoardUUID

    void setSystemBoardUUID(java.lang.String x)

### hasSystemBoardUUID

    boolean hasSystemBoardUUID()

### getSerialNumber

    java.lang.String getSerialNumber()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSerialNumber

    void setSerialNumber(java.lang.String x)

### hasSerialNumber

    boolean hasSerialNumber()

### getPhysicalConnectors

    PhysicalConnector[] getPhysicalConnectors()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setPhysicalConnectors

    void setPhysicalConnectors(PhysicalConnector[] x)

### hasPhysicalConnectors

    boolean hasPhysicalConnectors()

### getPhysicalLinks

    PhysicalLink[] getPhysicalLinks()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setPhysicalLinks

    void setPhysicalLinks(PhysicalLink[] x)

### hasPhysicalLinks

    boolean hasPhysicalLinks()

### getPhysicalFrames

    PhysicalFrame[] getPhysicalFrames()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.PhysicallyContains" reverse="false"

### setPhysicalFrames

    void setPhysicalFrames(PhysicalFrame[] x)

### hasPhysicalFrames

    boolean hasPhysicalFrames()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getHWRevision

    java.lang.String getHWRevision()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHWRevision

    void setHWRevision(java.lang.String x)

### hasHWRevision

    boolean hasHWRevision()

### getModel

    java.lang.String getModel()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setModel

    void setModel(java.lang.String x)

### hasModel

    boolean hasModel()

### getPowerSupplys

    PowerSupply[] getPowerSupplys()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setPowerSupplys

    void setPowerSupplys(PowerSupply[] x)

### hasPowerSupplys

    boolean hasPowerSupplys()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD